> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/dex-methods/divesting/divest_one_coin.md).

# divest\_one\_coin

This entrypoint is designed to remove liquidity from a specific DEX pool in one underlying token.

### Call parameters

<table><thead><tr><th width="185">Field</th><th width="243" align="center">Type</th><th width="448.2">Description</th></tr></thead><tbody><tr><td>pool_id</td><td align="center"><code>nat</code></td><td>pool identifier.</td></tr><tr><td>shares</td><td align="center"><code>nat</code></td><td>amount of LP tokens to be burnt.</td></tr><tr><td>token_index</td><td align="center"><code>token_pool_idx_t</code></td><td>index of token to be received.</td></tr><tr><td>min_amount_out</td><td align="center"><code>nat</code></td><td>amount of token to be received.</td></tr><tr><td>deadline</td><td align="center"><code>timestamp</code></td><td>dealine of current operation.</td></tr><tr><td>receiver</td><td align="center"><code>option(address)</code></td><td>optional, address of the receiver of the LP tokens. If not provided the <code>sender</code> address will be used.</td></tr><tr><td>referral</td><td align="center"><code>option(address)</code></td><td>optional, address of the referral of the current operation. If not provided the <code>default_referral</code> address will be used.</td></tr></tbody></table>

```pascaligo
type divest_one_c_param_t is [@layout:comb] record [
  pool_id                 : nat;
  shares                  : nat;
  token_index             : token_pool_idx_t;
  min_amount_out          : nat;
  deadline                : timestamp; 
  receiver                : option(address); 
  referral                : option(address);
]
```

{% hint style="danger" %}
The parameter `shares` provided to call, which represents the amount LP tokens would be burnt **in full**. So, if you want to burn more LP tokens **by value** than available reserves of the selected underlying token then you could **lose some of your liquidity**.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/dex-methods/divesting/divest_one_coin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
